#ifndef WORDTOPINYIN_H
#define WORDTOPINYIN_H
#include <QTextCodec>

class WordToPinyin
{
public:
    static bool In( quint16 start, quint16 end, quint16 code)
    {
        return (code>=start && code<=end) ? true : false;
    }

    static char convert(quint16 n)
    {
        if (In(0xB0A1,0xB0C4,n)) return 'a';
        if (In(0XB0C5,0XB2C0,n)) return 'b';
        if (In(0xB2C1,0xB4ED,n)) return 'c';
        if (In(0xB4EE,0xB6E9,n)) return 'd';
        if (In(0xB6EA,0xB7A0,n)) return 'e';
        if (In(0xB7A1,0xB8c0,n)) return 'f';
        if (In(0xB8C1,0xB9FD,n)) return 'g';
        if (In(0xB9FE,0xBBF6,n)) return 'h';
        if (In(0xBBF7,0xBFA4,n)) return 'j';
        if (In(0xBFA5,0xC0AA,n)) return 'k';
        if (In(0xC0AB,0xC2E7,n)) return 'l';
        if (In(0xC2E8,0xC4C2,n)) return 'm';
        if (In(0xC4C3,0xC5B5,n)) return 'n';
        if (In(0xC5B6,0xC5BD,n)) return 'o';
        if (In(0xC5BE,0xC6D9,n)) return 'p';
        if (In(0xC6DA,0xC8BA,n)) return 'q';
        if (In(0xC8BB,0xC8F5,n)) return 'r';
        if (In(0xC8F6,0xCBF9,n)) return 's';
        if (In(0xCBFA,0xCDD9,n)) return 't';
        if (In(0xCDDA,0xCEF3,n)) return 'w';
        if (In(0xCEF4,0xD1B8,n)) return 'x';
        if (In(0xD1B9,0xD4D0,n)) return 'y';
        if (In(0xD4D1,0xD7F9,n)) return 'z';
        return '\0';
    }

    //获取首字母
    static QString firstPinyin(const QString &string)
    {
        QTextCodec *codec4gbk = QTextCodec::codecForName("GBK");    //获取qt提供的gbk的解码器
        QByteArray buf = codec4gbk->fromUnicode( string );        //qt用的unicode，专程gbk
        int size = buf.size();
        quint16 *array = new quint16[size+1]{0};
        QString alphbats;
        for( int i = 0, j = 0; i < size; i++, j++ )
        {
            if( (quint8)buf[i] < 0x80 )                        //gbk的第一个字节都大于0x81，所以小于0x80的都是符号，字母，数字etc
            {
                alphbats.append(QString("%1").arg(buf[i]));
                continue;
            }
            array[j] = (((quint8)buf[i]) << 8) + (quint8)buf[i+1];    //计算gbk编码
            i++;
            alphbats.append( convert( array[j] ) );            //相当于查表，用gbk编码得到首拼音字母
        }
        delete [] array;
        return alphbats;
    }

};


#endif 
