

#include <QApplication>
#include <QFontDatabase>

#include "spdlog/spdlog.h"
#include "logs/loginit.h"
#include "EyeMapWidget.h"

void addFont();

int main(int argc, char* argv[])
{
    QApplication app(argc, argv);
    /* 初始化日志库 */
    init_log();
    auto logger = spdlog::get("main");
    if(logger == nullptr)
    {
        SPDLOG_ERROR("main logger is nullptr");
        return -1;
    }
    SPDLOG_LOGGER_INFO(logger, "★  ★  ★  ★  ★   Oscilloscope   ★  ★  ★  ★  ★");

    /* 加载字体 */
    addFont();

    EyeMapWidget w;
    w.show();

    return app.exec();
}

/* 加载字体 */
void addFont()
{
    /* 加载字体 */
    QFontDatabase::addApplicationFont(R"(:/font/font/SiYuanBlack_ttf/SiYuanBlack_Bold.ttf)");
    QFontDatabase::addApplicationFont(R"(:/font/font/SiYuanBlack_ttf/SiYuanBlack_M.ttf)");
    QFontDatabase::addApplicationFont(R"(:/font/font/SiYuanBlack_ttf/SiYuanBlack_R.ttf)");
    /***************************************************
     * 字体使用方式
     * id1 ("思源黑体-粗")
     * id2 ("思源黑体M")
     * id3 ("思源黑体R")
    ****************************************************/
    //    SPDLOG_LOGGER_DEBUG(m_logger,"id1 = {}",QFontDatabase::applicationFontFamilies(id1));
    //    qDebug() << "id1" << QFontDatabase::applicationFontFamilies(id1);
    //    qDebug() << "id2" << QFontDatabase::applicationFontFamilies(id2);
    //    qDebug() << "id3" << QFontDatabase::applicationFontFamilies(id3);
    QFont font_main;
//    font_main.setFamily("思源黑体R");
    font_main.setPixelSize(14);
    QApplication::setFont(font_main);
}


