#include "EyeMapInfo.h"
#include "OneEyeMap.h"


AllEyeMapInfo::~AllEyeMapInfo()
{

}

/* 添加眼图指针 */
void AllEyeMapInfo::addEyeMapPtr(OneEyeMap* ptr)
{
    /* 先查找有没有重复的指针 */
    for(auto it = listEyeMapPtr.begin(); it != listEyeMapPtr.end(); it++)
    {
        if(*it == ptr)
        {
            return;
        }
    }
    listEyeMapPtr.append(ptr);
}


/* 获取每个眼图的序号、标题和颜色 */
QList<OneEyeMapInfo> AllEyeMapInfo::getEyeMapInfo()
{
    QList<OneEyeMapInfo> list;
    for(const auto& it : listEyeMapPtr)
    {
        OneEyeMapInfo info;
        info.num = it->getNum();
        info.title = it->getTitle();
        info.color = it->getColor();
        list.append(info);
    }
    return list;
}

/* 根据序号查找指针 */
OneEyeMap* AllEyeMapInfo::findEyeMap(int num)
{
    for(const auto& it : listEyeMapPtr)
    {
        if(it->getNum() == num)
        {
            return it;
        }
    }
    return nullptr;
}




