#ifndef EYEMAPINFO_H
#define EYEMAPINFO_H

#include <QList>
#include <QColor>

class OneEyeMap;

struct OneEyeMapInfo
{
    int num;
    QString title;
    QColor color;
};





#define EyeMapInfo AllEyeMapInfo::getInstance()

/* 保存8个眼图的指针信息 */
class AllEyeMapInfo
{

    AllEyeMapInfo() {}
    AllEyeMapInfo& operator=(const AllEyeMapInfo&) = delete;
    AllEyeMapInfo(const AllEyeMapInfo&) = delete;
public:
    ~AllEyeMapInfo();

    AllEyeMapInfo& getInstance()
    {
        static AllEyeMapInfo instance;
        return instance;
    }

    /* 添加眼图指针 */
    void addEyeMapPtr(OneEyeMap* ptr);
    /* 获取每个眼图的序号、标题和颜色 */
    QList<OneEyeMapInfo> getEyeMapInfo();
    /* 根据序号查找指针 */
    OneEyeMap* findEyeMap(int num);

public:
    QList<OneEyeMap*> listEyeMapPtr;

private:
    
};




#endif /* EYEMAPINFO_H */
