﻿#ifndef OSCWIDGET_H
#define OSCWIDGET_H

#include <QWidget>
#include "spdlog/spdlog.h"
#include "OneEyeMap.h"

namespace Ui {
class OscWidget;
}

class OscWidget : public QWidget
{
    Q_OBJECT

public:
    explicit OscWidget(QWidget *parent = nullptr);
    ~OscWidget();

private slots:
    
    void on_pBtn_startCap_clicked();
    void on_pBtn_resetCap_clicked();
    void on_pBtn_stopCap_clicked();

protected:
    void paintEvent(QPaintEvent *event) override;

private:
    Ui::OscWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
    OneEyeMap* m_eyeMap = nullptr;
    QMap<QString, int> m_mapTime;

    int m_widthScaleplate = 20;             /* 刻度板宽度 */
};

#endif // OSCWIDGET_H
